> For the complete documentation index, see [llms.txt](https://docs.indicio.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.indicio.tech/developer/indicio-proven-r/api-reference/presentations.md).

# Presentations

Endpoints for managing presentations

## Get all presentations

> This endpoint retrieves all presentations.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Presentations","description":"Endpoints for managing presentations"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/presentations":{"get":{"summary":"Get all presentations","description":"This endpoint retrieves all presentations.","tags":["Presentations"],"parameters":[{"in":"query","name":"sort-field","schema":{"type":"string"},"description":"The field to sort by (default updated_at)."},{"in":"query","name":"sort-direction","schema":{"type":"string"},"description":"The direction to sort (ASC or DESC, default DESC)."},{"in":"query","name":"page-size","schema":{"type":"integer"},"description":"The number of presentations per page (default 20)."},{"in":"query","name":"current-page","schema":{"type":"integer"},"description":"The current page number (default 1)."},{"in":"query","name":"item-count","schema":{"type":"integer"},"description":"The total number of items."},{"in":"query","name":"state-filter","schema":{"type":"string"},"description":"If provided, returns only presentations with this state."},{"in":"query","name":"contact-id","schema":{"type":"string"},"description":"If provided, returns only presentations for this contact_id."}],"responses":{"200":{"description":"A paginated list of presentations","content":{"application/json":{"schema":{"type":"object","properties":{"params":{"type":"object","properties":{"sort":{"type":"array"},"pageSize":{"type":"integer"},"currentPage":{"type":"integer"},"pageCount":{"type":"integer"},"itemCount":{"type":"integer"},"stateFilter":{"type":"string"},"contactIdFilter":{"type":"string"}}},"rows":{"type":"array","items":{"type":"object"}},"count":{"type":"integer"}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```

## Get a presentation by ID

> This endpoint retrieves a presentation by its exchange id.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Presentations","description":"Endpoints for managing presentations"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/presentations/{presentation_exchange_id}":{"get":{"summary":"Get a presentation by ID","description":"This endpoint retrieves a presentation by its exchange id.","tags":["Presentations"],"parameters":[{"in":"path","name":"presentation_exchange_id","required":true,"schema":{"type":"string"},"description":"The presentation exchange id of the presentation to retrieve."}],"responses":{"200":{"description":"Presentation record retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"record":{"type":"object","description":"The retrieved presentation record."}}}}}},"401":{"description":"Unauthorized."},"404":{"description":"Presentation not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```

## Remove PII from a presentation

> This endpoint manually removes PII from a presentation record.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Presentations","description":"Endpoints for managing presentations"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/presentations/{presentation_exchange_id}/pii":{"post":{"summary":"Remove PII from a presentation","description":"This endpoint manually removes PII from a presentation record.","tags":["Presentations"],"parameters":[{"in":"path","name":"presentation_exchange_id","required":true,"schema":{"type":"string"},"description":"The presentation exchange ID."}],"responses":{"200":{"description":"PII removed successfully","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"401":{"description":"Unauthorized."},"404":{"description":"Presentation record not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```
